# Interface IRunStylePropertiesOptions

#### Hierarchy

- IRunStylePropertiesOptions
  - IRunPropertiesOptions

- Defined in src/file/paragraph/run/properties.ts:18

#####
Index

### Properties

allCaps?
bold?
boldComplexScript?
border?
characterSpacing?
color?
doubleStrike?
emboss?
emphasisMark?
font?
highlight?
highlightComplexScript?
imprint?
italics?
italicsComplexScript?
revision?
rightToLeft?
shading?
size?
sizeComplexScript?
smallCaps?
space?
strike?
subScript?
superScript?
underline?

## Properties

### `Optional` `Readonly` allCaps

allCaps?: boolean

- Defined in src/file/paragraph/run/properties.ts:35

### `Optional` `Readonly` bold

bold?: boolean

- Defined in src/file/paragraph/run/properties.ts:19

### `Optional` `Readonly` boldComplexScript

boldComplexScript?: boolean

- Defined in src/file/paragraph/run/properties.ts:20

### `Optional` `Readonly` border

border?: IBorderOptions

- Defined in src/file/paragraph/run/properties.ts:48

### `Optional` `Readonly` characterSpacing

characterSpacing?: number

- Defined in src/file/paragraph/run/properties.ts:43

### `Optional` `Readonly` color

color?: string

- Defined in src/file/paragraph/run/properties.ts:30

### `Optional` `Readonly` doubleStrike

doubleStrike?: boolean

- Defined in src/file/paragraph/run/properties.ts:37

### `Optional` `Readonly` emboss

emboss?: boolean

- Defined in src/file/paragraph/run/properties.ts:45

### `Optional` `Readonly` emphasisMark

emphasisMark?: { type?: DOT }

#### Type declaration

- ##### `Optional` `Readonly` type?: DOT

- Defined in src/file/paragraph/run/properties.ts:27

### `Optional` `Readonly` font

font?: string | IFontAttributesProperties | IFontOptions

- Defined in src/file/paragraph/run/properties.ts:40

### `Optional` `Readonly` highlight

highlight?: string

- Defined in src/file/paragraph/run/properties.ts:41

### `Optional` `Readonly` highlightComplexScript

highlightComplexScript?: string | boolean

- Defined in src/file/paragraph/run/properties.ts:42

### `Optional` `Readonly` imprint

imprint?: boolean

- Defined in src/file/paragraph/run/properties.ts:46

### `Optional` `Readonly` italics

italics?: boolean

- Defined in src/file/paragraph/run/properties.ts:21

### `Optional` `Readonly` italicsComplexScript

italicsComplexScript?: boolean

- Defined in src/file/paragraph/run/properties.ts:22

### `Optional` `Readonly` revision

revision?: IRunPropertiesChangeOptions

- Defined in src/file/paragraph/run/properties.ts:47

### `Optional` `Readonly` rightToLeft

rightToLeft?: boolean

- Defined in src/file/paragraph/run/properties.ts:33

### `Optional` `Readonly` shading

shading?: IShadingAttributesProperties

- Defined in src/file/paragraph/run/properties.ts:44

### `Optional` `Readonly` size

size?: string | number

- Defined in src/file/paragraph/run/properties.ts:31

### `Optional` `Readonly` sizeComplexScript

sizeComplexScript?: string | number | boolean

- Defined in src/file/paragraph/run/properties.ts:32

### `Optional` `Readonly` smallCaps

smallCaps?: boolean

- Defined in src/file/paragraph/run/properties.ts:34

### `Optional` `Readonly` space

space?: SpaceType

- Defined in src/file/paragraph/run/properties.ts:49

### `Optional` `Readonly` strike

strike?: boolean

- Defined in src/file/paragraph/run/properties.ts:36

### `Optional` `Readonly` subScript

subScript?: boolean

- Defined in src/file/paragraph/run/properties.ts:38

### `Optional` `Readonly` superScript

superScript?: boolean

- Defined in src/file/paragraph/run/properties.ts:39

### `Optional` `Readonly` underline

underline?: { color?: string; type?: UnderlineType }

#### Type declaration

- ##### `Optional` `Readonly` color?: string

- ##### `Optional` `Readonly` type?: UnderlineType

- Defined in src/file/paragraph/run/properties.ts:23

Generated using TypeDoc